Subject: Re: What's cooking in git.git (Nov 2010, #02; Wed, 17)

From: Jakub Narebski <[email-masked]>
Date: Thu, 18 Nov 2010 06:00:23 -0800 (PST)

Junio C Hamano <[email-masked]> writes:

> --------------------------------------------------
> [Graduated to "master"]
 
> * bg/maint-gitweb-test-lib (2010-10-20) 1 commit
>   (merged to 'next' on 2010-11-05 at 0ead869)
>  + t/gitweb-lib: Don't pass constant to decode_utf8

> * jn/gitweb-test (2010-09-26) 4 commits
>   (merged to 'next' on 2010-11-05 at 90b3adf)
>  + gitweb/Makefile: Include gitweb/config.mak
>  + gitweb/Makefile: Add 'test' and 'test-installed' targets
>  + t/gitweb-lib.sh: Add support for GITWEB_TEST_INSTALLED
>  + gitweb: Move call to evaluate_git_version after evaluate_gitweb_config
>  (this branch is used by jh/gitweb-caching.)

Thanks.

Sidenote: recently sent

  gitweb: selectable configurations that change with each request

practically reverts

  gitweb: Move call to evaluate_git_version after evaluate_gitweb_config

Just FYI.

> --------------------------------------------------
> [New Topics]

> * gb/gitweb-remote-heads (2010-11-11) 11 commits
>  - git instaweb: enable remote_heads
>  - gitweb: group remote heads by remote
>  - gitweb: provide a routine to display (sub)sections
>  - gitweb: refactor repository URL printing
>  - gitweb: remotes view for a single remote
>  - gitweb: allow action specialization in page header
>  - gitweb: nagivation menu for tags, heads and remotes
>  - gitweb: separate heads and remotes lists
>  - gitweb: git_get_heads_list accepts an optional list of refs
>  - gitweb: introduce remote_heads feature
>  - gitweb: use fullname as hash_base in heads link
> 
> Acked by Jakub.  Will merge to next.

Thanks.
 
> * jn/gitweb-time-hires-comes-with-5.8 (2010-11-09) 1 commit
>  - gitweb: Time::HiRes is in core for Perl 5.8
> 
> Looked reasonable.  Will merge to next.

Thanks. With or without improvement to commit message?
 
> --------------------------------------------------
> [Stalled]

> * jh/gitweb-caching (2010-11-01) 4 commits
>  . gitweb: Minimal testing of gitweb caching
>  . gitweb: File based caching layer (from git.kernel.org)
>  . gitweb: add output buffering and associated functions
>  . gitweb: Prepare for splitting gitweb
> 
> Temporarily ejected while I shuffled jn/gitweb-testing; will queue the
> latest back in pu or perhaps in next.

The advantage of 'gitweb: File based caching layer (from git.kernel.org)'
is that it is tested in real-life on heavy load (assuming that 
git.kernel.org uses the same version as is/would be in pu/next).

The disadvantage is that it is seriously messy code.  Something that I
wanted to improve in my rewrite.  This is only minimal fixup.

I am thinking about splitting main 'gitweb: File based caching layer
(from git.kernel.org)' patch in two, separating moving test for
$caching_enabled out of cache_fetch to separate commit (largest change
to original J.H. submission), but leaving hardening "do 'cache.pl';"
and replacing 0/1 valued $cache_enable with boolean valued 
$caching_enabled.

Because currently new tests in t9501 and t9502 (examining status and
output of gitweb with caching enabled) do not pass, I am thinking
about adding new configuration know turning off "Generating..." page.

BTW. should I forge J.H. signoffs, and add mine?

> * tr/config-doc (2010-10-24) 2 commits
>  . Documentation: complete config list from other manpages
>  . Documentation: Move variables from config.txt to separate file
> 
> This unfortunately heavily conflicts with patches in flight...

Would creating a script for generating contents of 'Documentation:
Move variables from config.txt to separate file', including it either
in commit message or in comments, help this issue?

There is also problem with 'Documentation: complete config list from
other manpages' in that it needs (at least in one version) for all
config sections to be marked as such (see discussion in thread).

-- 
Jakub Narebski
Poland
ShadeHawk on #git